import React, {useEffect} from 'react';
import {StyleSheet, View} from 'react-native';
import Orientation from 'react-native-orientation-locker';
import DeckButton from './DeckButton';

export default function Deck() {
  useEffect(() => {
    Orientation.lockToPortrait();
  });

  const buttons = [];

  for (let i = 0; i < 21; i++) {
    let text = 'btn' + i;
    buttons.push(<DeckButton text={text} key={i} />);
  }

  return (
    <>
      <View style={style.view}>{buttons}</View>
    </>
  );
}

const style = StyleSheet.create({
  view: {
    flex: 1,
    flexDirection: 'row',
    flexWrap: 'wrap',
  },
});
